#include <stdio.h>
#include <stdbool.h>

#define ERROR -1
#define EMPTY 0
#define playerX 1
#define playerO 2

int playersTurn(int board[3][3]);
bool tripletExists(int board[3][3], int player);

int main() {
    int board1[3][3] = {
            {playerX ,     EMPTY, playerO },
            {  EMPTY ,   playerX, playerO },
            {  EMPTY ,     EMPTY,   EMPTY },
    };

    printf("%d\n", playersTurn(board1));

    return 0;
}

int playersTurn(int board[3][3]) {
    int countX = 0;
    int countO = 0;
    for (int r = 0; r < 3; ++r) {
        for (int c = 0; c < 3; ++c) {
            int cellContent = board[r][c];

            if (cellContent == playerX) {
                countX++;
            } else if (cellContent == playerO) {
                countO++;
            } else if (cellContent != EMPTY) {
                return -1;
            }

// 2os TROPOS
//            switch (board[r][c]) {
//                case playerX:
//                    countX++;
//                    break;
//                case playerO:
//                    countO++;
//                    break;
//                case EMPTY:
//                    break;
//                default:
//                    return -1;
//            }
        }
    }

    if (countO + countX == 9) {
        return -1;
    } else if (countX == countO) {
        return playerX;
    } else if (countX == countO+1) {
        return playerO;
    } else {
        return -1;
    }
}

bool tripletExists(int board[3][3], int player) {
    bool tripletExists = true;

    // kyria diagwnios
    for (int i = 0; i < 3; ++i) {
        if (board[i][i] != player) {
            tripletExists = false;
            break;
        }
    }

    if (tripletExists) {
        return true;
    }

    tripletExists = true;
    for (int i = 0; i < 3; ++i) {
        if (board[i][2-i] != player) {
            tripletExists = false;
            break;
        }
    }

    if (tripletExists) {
        return true;
    }

    // sthles
    for (int c = 0; c < 3; ++c) {
        tripletExists = true;
        for (int i = 0; i < 3; ++i) {
            if (board[i][c] != player) {
                tripletExists = false;
                break;
            }
        }
        if (tripletExists) {
            return true;
        }
    }

    // grammes
    for (int r = 0; r < 3; ++r) {
        tripletExists = true;
        for (int i = 0; i < 3; ++i) {
            if (board[r][i] != player) {
                tripletExists = false;
                break;
            }
        }
        if (tripletExists) {
            return true;
        }
    }

    return false;
}